import { Error } from "gracely";
import { Merchant } from "@payfunc/model-acquirer";
import { Log } from "@payfunc/model-log";
export declare class IntergiroLogs {
  logs?: Log[] | Promise<Log[] | Error | string>;
  merchants?: Merchant[];
  logsFiltered?: Log[];
  filter: string;
  componentWillLoad(): void;
  logsUpdate(): Promise<void>;
  handleFilterChanged(event: CustomEvent<Log[]>): void;
  handleReferenceFiltered(event: CustomEvent<string>): void;
  render(): any[];
}
